#include <iostream>

using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	cerr.tie(0);
	
	long long int v;
	
	cin >> v;
	int c = 0;
	
	while (v > 0){
		if (v % 10 == 0){
			v /= 10;
		}
		else {
			if (v % 10 >= 5){
				c++;
				v -= 5;
			}
			else {
				if (v % 10 >= 2){
					c++;
					v -= 2;
				}
				else {
					c++;
					v--;
				}
			}
		}
	}
	
	cout << c << endl;
	
	return 0;
}